Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -8984,5 +8902,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il).gt.0.0) then
+        if (Eqi_stewart(il).gt.0.0) THEN
          do ixt=1,niso          
           xtevap_cas(ixt,il)=Eqi_prime_cas(il) &
@@ -8991,5 +8909,5 @@
                  -xtevapsup_cas(ixt,il)
          enddo ! do ixt=1,niso
-        else !if (Eqi_stewart.gt.0.0) then
+        else !if (Eqi_stewart.gt.0.0) THEN
             ! il peut quand même y a voir de la diffusion
             do ixt=1,niso
@@ -8998,5 +8916,5 @@
                  -xtevapsup_cas(ixt,il)
             enddo !do ixt=1,niso    
-        endif !if (Eqi_stewart.gt.0.0) then
+        endif !if (Eqi_stewart.gt.0.0) THEN
        enddo !do il=1,ncas
       
@@ -9006,35 +8924,35 @@
           CALL iso_verif_noNAN(xtevap_cas(ixt,il),'appel stewart 131b')
         enddo ! do ixt=1,niso
-        if (oktrac.eq.0) then 
+        if (oktrac.eq.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
               evap_cas(il), &
-              'appel stewart 142b',errmax,errmaxrel).eq.1) then
-                write(*,*) 'i,il=',i,il
-                write(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart(il)=', &
+              'appel stewart 142b',errmax,errmaxrel).eq.1) THEN
+                WRITE(*,*) 'i,il=',i,il
+                WRITE(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart(il)=', &
                         Exi_stewart(iso_eau,il),Eqi_stewart(il)
-                write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-                write(*,*) 'xtevapsup_cas(iso_eau,il)=', &
+                WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+                WRITE(*,*) 'xtevapsup_cas(iso_eau,il)=', &
                   xtevapsup_cas(iso_eau,il)
-!                write(*,*) 'evap,evapsup=',evap(cas_evap_glace(il),i),
+!                WRITE(*,*) 'evap,evapsup=',evap(cas_evap_glace(il),i),
 !     &            evap(cas_evap_glace(il),i+1)
               stop 
             endif !if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il),
-        endif !if (iso_eau.gt.0) then
-       endif ! if (oktrac.eq.0) then
+        endif !if (iso_eau.gt.0) THEN
+       endif ! if (oktrac.eq.0) THEN
       enddo !do il=1,ncas 
 #endif
 
-!      write(*,*) 'appel_stewart tmp 2243: Eqi_stewart(1)=',
+!      WRITE(*,*) 'appel_stewart tmp 2243: Eqi_stewart(1)=',
 !     &          Eqi_stewart(1)
-!      write(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(1)
+!      WRITE(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(1)
       ! deduction de XTP partir de Exi
       do il=1,ncas
-       if (i.lt.INB_cas(il)) then
-          if (fac_ftmr_cas(il).gt.0.0) then
-            if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) then 
+       if (i.lt.INB_cas(il)) THEN
+          if (fac_ftmr_cas(il).gt.0.0) THEN
+            if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
                do ixt=1,niso     
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)           
@@ -9043,14 +8961,13 @@
                      *Exi_stewart(ixt,il)/Eqi_stewart(il),0.0)
                enddo !do ixt=1,niso
-             else ! if (Eqi_stewart.gt.ridicule) then
-                if (qp_cas(il).gt.0.0) then 
-
+             else ! if (Eqi_stewart.gt.ridicule) THEN
+                if (qp_cas(il).gt.0.0) THEN
                     if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
-                         then
+                         THEN
                         ! il va manquer quelque chose: il faut augmenter
                         ! xtp en lui ajoutant l'évap du niveau d'eau
                         ! dessus
                         ! pour l'instant, on bidouille:
-                        write(*,*) 'appel_stewart 2930: il=',il
+                        WRITE(*,*) 'appel_stewart 2930: il=',il
                         do ixt=1,niso               
                         xtnew(ixt,il)=xtnew(ixt,il) &
@@ -9067,11 +8984,10 @@
                         -xtp_avantevap_cas(ixt,il))
                     enddo !do ixt=1,niso
-                else !if (qp(il,i).gt.0.0) then 
+                else !if (qp(il,i).gt.0.0) THEN
                   do ixt=1,niso               
                     xtp_cas(ixt,il)=0.0
                   enddo !do ixt=1,niso
-                endif  !if (qp(il,i).gt.0.0) then 
-             endif !if (Eqi_stewart.gt.ridicule) then 
-
+                endif  !if (qp(il,i).gt.0.0) THEN
+             endif !if (Eqi_stewart.gt.ridicule) THEN
 #ifdef ISOVERIF
                do ixt=1,niso
@@ -9079,38 +8995,38 @@
                        'appel stewart 684b')
                 enddo ! do ixt=1,niso
-             if (oktrac.eq.0) then
-                if (iso_eau.gt.0) then
+             if (oktrac.eq.0) THEN
+                if (iso_eau.gt.0) THEN
                   if (iso_verif_egalite_choix_nostop( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
                     'appel stewart 688b',errmax,errmaxrel*30) &
-                    .eq.1) then
-                    write(*,*) 'il=',il
-                    write(*,*) 'xtp_avantevaptrac_cas(iso_eau,il)=', &
+                    .eq.1) THEN
+                    WRITE(*,*) 'il=',il
+                    WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,il)=', &
                         xtp_avantevaptrac_cas(iso_eau,il)
-                    write(*,*) 'qp_avantevap_cas(il)=', &
+                    WRITE(*,*) 'qp_avantevap_cas(il)=', &
                         qp_avantevap_cas(il)
-                    write(*,*) 'fac_ftmr_cas(il),Eqi_prime_cas(il)=', &
+                    WRITE(*,*) 'fac_ftmr_cas(il),Eqi_prime_cas(il)=', &
                         fac_ftmr_cas(il),Eqi_prime_cas(il)
-                    write(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart=', &
+                    WRITE(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart=', &
                         Exi_stewart(iso_eau,il),Eqi_stewart(il)
                     stop
                   endif
-               endif !if (iso_eau.gt.0) then 
+               endif !if (iso_eau.gt.0) THEN
               if ((iso_HDO.gt.0).and. &
-                (qp_cas(il).gt.ridicule)) then
+                (qp_cas(il).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart 1384')
-              endif  ! if (iso_HDO.gt.0) then
-            endif ! if (oktrac.eq.0) then
+              endif  ! if (iso_HDO.gt.0) THEN
+            endif ! if (oktrac.eq.0) THEN
 #endif 
 
-          else !if (fac_ftmr.gt.0.0) then
+          else !if (fac_ftmr.gt.0.0) THEN
               ! ca veut dire que Mp=0, xtp pas définit
              do ixt=1,niso
                xtp_cas(ixt,il)=xtp_avantevaptrac_cas(ixt,il)
              enddo !do ixt=1,niso
-         endif !if (fac_ftmr.gt.0.0) then
-      else !if (i.lt.INB) then
+         endif !if (fac_ftmr.gt.0.0) THEN
+      else !if (i.lt.INB) THEN
           ! si i=inb, on ne change rien au calcul original, et on
           ! suppose que la composition du ddft est égale à celle de
@@ -9121,5 +9037,5 @@
                     !dans ce cas là
                   enddo
-      endif !if (i.lt.INB) then      
+      endif !if (i.lt.INB) THEN
       enddo !do il=1,ncas
 
@@ -9132,6 +9048,6 @@
          enddo !do ixt=1,niso
         enddo ! do il=1,ncas
-        if (oktrac.eq.0) then
-        if (iso_eau.gt.0) then
+        if (oktrac.eq.0) THEN
+        if (iso_eau.gt.0) THEN
         do il=1,ncas
         if (iso_verif_egalite_choix_nostop( &
@@ -9139,39 +9055,39 @@
                  qp_cas(il), &
                 'appel stewart 197b: cas_evap_glace', &
-                errmax,errmaxrel*50).eq.1) then
-          write(*,*) 'i,il=',i,il,' INB(il)=',INB_cas(il)
+                errmax,errmaxrel*50).eq.1) THEN
+          WRITE(*,*) 'i,il=',i,il,' INB(il)=',INB_cas(il)
 !     &          ,' cas(il)=',cas_evap_glace(il)
-          write(*,*) 'Tevap=',T_cas(il)
-          write(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
-          write(*,*) 'qp(il,i)=',qp_cas(il)
-          write(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
-          write(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
-!          write(*,*) 'Mp(il,i)=',Mp(cas_evap_glace(il),i)
-          write(*,*) 'xtp_avantevap(iso_eau)=', &
+          WRITE(*,*) 'Tevap=',T_cas(il)
+          WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
+          WRITE(*,*) 'qp(il,i)=',qp_cas(il)
+          WRITE(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
+          WRITE(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
+!          WRITE(*,*) 'Mp(il,i)=',Mp(cas_evap_glace(il),i)
+          WRITE(*,*) 'xtp_avantevap(iso_eau)=', &
                 xtp_avantevap_cas(iso_eau,il)
-          write(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
-          write(*,*) 'Exi_stewart(iso_eau)=',Exi_stewart(iso_eau,il)
-          write(*,*) 'Eqi_stewart=',Eqi_stewart(il)
-!          write(*,*) 'Eqi_prime=',Eqi_prime_cas(il)        
-          write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+          WRITE(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
+          WRITE(*,*) 'Exi_stewart(iso_eau)=',Exi_stewart(iso_eau,il)
+          WRITE(*,*) 'Eqi_stewart=',Eqi_stewart(il)
+!          WRITE(*,*) 'Eqi_prime=',Eqi_prime_cas(il)
+          WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                  Pxtiinf_stewart(iso_eau,il)
-!          write(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_glace(il))
-          write(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
-          write(*,*) 'Pqisup=',Pqisup_cas(il)
+!          WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_glace(il))
+          WRITE(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
+          WRITE(*,*) 'Pqisup=',Pqisup_cas(il)
           stop
          endif !if iso_verif_egalite_choix_nostop
          enddo !do il=1,ncas
         endif
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
           do il=1,ncas
-            if (qp_cas(il).gt.ridicule) then
+            if (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart 1449')
-            endif !if (qp_cas(il).gt.ridicule) then
+            endif !if (qp_cas(il).gt.ridicule) THEN
           enddo !do il=1,ncas
-        endif  ! if (iso_HDO.gt.0) then
-       endif ! if (oktrac.eq.0) then
-!       write(*,*) 'appel_stewart 2331: sortie de make_cas_evap_glace'
+        endif  ! if (iso_HDO.gt.0) THEN
+       endif ! if (oktrac.eq.0) THEN
+!       WRITE(*,*) 'appel_stewart 2331: sortie de make_cas_evap_glace'
 #endif
 
@@ -9202,5 +9118,5 @@
 #ifdef ISOTRAC
 USE isotrac_mod, ONLY: izone_revap, option_revap,ridicule_trac
-USE isotrac_routines_mod, only: &
+USE isotrac_routines_mod, ONLY: &
 &       iso_verif_traceur_jbidouille,uncompress_commun_zone_revap, &
 &       compress_evap_glace_zone,compress_evap_liq_zone, &
@@ -9208,5 +9124,5 @@
 &       compress_cond_facftmr_zone,compress_cond_nofftmr_zone
 #ifdef ISOVERIF
-USE isotrac_routines_mod, only: iso_verif_traceur_pbidouille
+USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -9326,10 +9242,10 @@
               
 
-!      write(*,*) 'appel_stewart_np 48: entrée, i=',i
+!      WRITE(*,*) 'appel_stewart_np 48: entrée, i=',i
 
       ! definition de quelques constantes:
 
       !gravité:
-      if (cvflag_grav) then
+      if (cvflag_grav) THEN
           g=1/ginv
       else
@@ -9345,12 +9261,12 @@
       
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         do il=1,ncum 
-         if (i.le.inb(il) .and. lwork(il)) then
+         if (i.le.inb(il) .and. lwork(il)) THEN
           CALL iso_verif_egalite_choix(xt(iso_eau,il,i),q(il,i), &
                  'appel_stewart_np 58',errmax,errmaxrel)
-         endif !if (i.le.inb(il) .and. lwork(il)) then
+         endif !if (i.le.inb(il) .and. lwork(il)) THEN
         enddo !do il=1,ncum    
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
       do il=1,ncum
@@ -9360,17 +9276,16 @@
 #endif      
 #endif
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-             if (i.le.inb(il) .and. lwork(il)) then   
+             if (i.le.inb(il) .and. lwork(il)) THEN
                 xt(iso_eau,il,i)=  q(il,i)
-             endif !if (i.le.inb(il) .and. lwork(il)) then
+             endif !if (i.le.inb(il) .and. lwork(il)) THEN
            enddo !do il=1,ncum     
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-      
+      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
       ! verif que les vapeurs du ddft plus haut sont bonnes
       ! si i=INB, on ne verifie rien car pas de vapeur au dessus de INB
 #ifdef ISOVERIF
        do il=1,ncum 
-         if (i.lt.inb(il) .and. lwork(il)) then
+         if (i.lt.inb(il) .and. lwork(il)) THEN
           do j=i+1,INB(il)
             do ixt=1,ntraciso
@@ -9379,15 +9294,15 @@
             enddo
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) then
+        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif
 #ifdef ISOVERIF
        do il=1,ncum 
-         if (i.lt.inb(il) .and. lwork(il)) then
+         if (i.lt.inb(il) .and. lwork(il)) THEN
           do j=i+1,INB(il)
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtp(iso_eau,il,j),qp(il,j), &
                  'appel_stewart_np 66',errmax,errmaxrel)
-            endif !if (iso_eau.gt.0) then
+            endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
             CALL iso_verif_traceur(xtp(1,il,j), &
@@ -9395,17 +9310,17 @@
 #endif  
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) then
+        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
        do il=1,ncum 
-        if (i.lt.inb(il) .and. lwork(il)) then
+        if (i.lt.inb(il) .and. lwork(il)) THEN
          do j=i+1,INB(il)
           xtp(iso_eau,il,j)=qp(il,j)          
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) then
+        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum 
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
       ! end verif des inputs 
 
@@ -9414,10 +9329,10 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
-        if ((Mp(il,i).gt.Mp(il,i+1)).and.(Mp(il,i).gt.Mpmin)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+        if ((Mp(il,i).gt.Mp(il,i+1)).and.(Mp(il,i).gt.Mpmin)) THEN
           ! cas entrainant
           fac_ftmr(il)=1.0/Mp(il,i)
         else !if ((Mp(il,i).gt.Mp(il,i+1))
-          if (Mp(il,i+1).gt.Mpmin) then
+          if (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               fac_ftmr(il)=1.0/Mp(il,i+1)
@@ -9430,5 +9345,5 @@
         
 #endif        
-       endif ! (i.le.inb(il) .and. lwork(il)) then
+       endif ! (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum
 
@@ -9436,7 +9351,7 @@
             
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then      
-        if (i.lt.INB(il)) then      
-         if ((Mp(il,i).gt.Mp(il,i+1)).and.(Mp(il,i).gt.Mpmin)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+        if (i.lt.INB(il)) THEN
+         if ((Mp(il,i).gt.Mp(il,i+1)).and.(Mp(il,i).gt.Mpmin)) THEN
           ! cas entrainant
           rat(il)=Mp(il,i+1)/Mp(il,i)
@@ -9446,6 +9361,6 @@
                 +xt(ixt,il,i)*(1-rat(il))
           enddo
-         else !if (Mp(il,i).gt.Mp(il,i+1)) then
-           if (Mp(il,i+1).gt.Mpmin) then
+         else !if (Mp(il,i).gt.Mp(il,i+1)) THEN
+           if (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               qp_avantevap(il)=qp(il,i+1)
@@ -9454,6 +9369,5 @@
               enddo
               
-           else    !if (Mp(il,i+1).gt.0) then    
-              
+           else    !if (Mp(il,i+1).gt.0) THEN
               ! pas de flux de masse, on ne calcule rien
               ! on garde le qp calculé dans cv3_unsat, original
@@ -9461,5 +9375,5 @@
               ! l'environnement
               qp_avantevap(il)=qp(il,i)
-              if (qp(il,i).gt.0) then
+              if (qp(il,i).gt.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_positif_strict(q(il,i), &
@@ -9469,15 +9383,12 @@
                  xtp_avantevap(ixt,il)=xt(ixt,il,i)/q(il,i)*qp(il,i)
                 enddo
-              else !if (qp(il,i).gt.0) then
+              else !if (qp(il,i).gt.0) THEN
                   ! si qp est négatif, on met les isos dedans à 0
                 do ixt=1,ntraciso
                  xtp_avantevap(ixt,il)=0.0
                 enddo
-              endif !if (qp(il,i).gt.0) then
-               
-          endif !if (Mp(il,i+1).gt.0) then
-          
-         endif  !if (Mp(il,i).gt.Mp(il,i+1)) then
-      
+              endif !if (qp(il,i).gt.0) THEN
+          endif !if (Mp(il,i+1).gt.0) THEN
+         endif  !if (Mp(il,i).gt.Mp(il,i+1)) THEN
         else ! if i.lt.INB
           ! cas ou i=inb
@@ -9486,9 +9397,9 @@
           ! l'environnement
           qp_avantevap(il)=qp(il,i)
-          if (qp(il,i).gt.0) then
+          if (qp(il,i).gt.0) THEN
             do ixt=1,ntraciso
              xtp_avantevap(ixt,il)=xt(ixt,il,i)/q(il,i)*qp(il,i)
             enddo
-          else !if (qp(il,i).gt.0) then
+          else !if (qp(il,i).gt.0) THEN
               ! si qp négatif, on met les isotopes dedans à 0
             qp_avantevap(il)=0.0  
@@ -9496,20 +9407,20 @@
              xtp_avantevap(ixt,il)=0.0
             enddo
-          endif !if (qp(il,i).gt.0) then
+          endif !if (qp(il,i).gt.0) THEN
         endif ! if i.lt.INB(il)
-       endif ! (i.le.inb(il) .and. lwork(il)) then
+       endif ! (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum
 
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         do il=1,ncum 
-          if (i.le.inb(il) .and. lwork(il)) then      
+          if (i.le.inb(il) .and. lwork(il)) THEN
             CALL iso_verif_egalite_choix( &
                  (xtp_avantevap(iso_eau,il)), &
                  (qp_avantevap(il)), &
                   'appel_stewart_np 95',errmax,errmaxrel)
-          endif ! (i.le.inb(il) .and. lwork(il)) then
+          endif ! (i.le.inb(il) .and. lwork(il)) THEN
         enddo !do il=1,ncum
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #endif
 
@@ -9518,5 +9429,5 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
         Pqisup(il)=sigd(il)/g*wt(il,i)*water(il,i+1)+wdtrain(il)/g
         Pqiinf(il)=sigd(il)/g*wt(il,i)*water(il,i) ! ce qu'on aurait dans si ce
@@ -9533,5 +9444,5 @@
             (Pqiinf(il).ge.Pqisup(il)).and. &
             (Pqisup(il).gt.0.0).and. &
-            (Pqisup(il)-Eqi_prime(il).gt.0.0)) then
+            (Pqisup(il)-Eqi_prime(il).gt.0.0)) THEN
                 ! rustine au cas patho en 1D pour -90hPa/d
                 Pqiinf_par(il)=Pqisup(il)-Eqi_prime(il)
@@ -9544,34 +9455,34 @@
                  +xtwdtrain(ixt,il)/g
         enddo
-       endif !if (i.le.inb(il) .and. lwork(il)) then
+       endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum 
 
 #ifdef ISOVERIF 
-!      write(*,*) 'appel_stewart_np 335 nostop '
+!      WRITE(*,*) 'appel_stewart_np 335 nostop '
 !      il=1
-!      write(*,*) 'Pqisup=',Pqisup(il)
-!      write(*,*) 'Pqiinf=',Pqiinf(il)
-!      write(*,*) 'Eqi_prime=',Eqi_prime(il)
-!      write(*,*) 'Eqi=',Eqi(il)
-!      write(*,*) 'Eqi_plus1=',Eqi_plus1(il)
-!      write(*,*) 'Pqiinf_par=',Pqiinf_par(il)
-!      write(*,*) 'Eqi_par=',Eqi_par(il)
-!      write(*,*) 'qp=',qp(il,i)
-!      write(*,*) 'qp_avantevap=',qp_avantevap(il)
+!      WRITE(*,*) 'Pqisup=',Pqisup(il)
+!      WRITE(*,*) 'Pqiinf=',Pqiinf(il)
+!      WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
+!      WRITE(*,*) 'Eqi=',Eqi(il)
+!      WRITE(*,*) 'Eqi_plus1=',Eqi_plus1(il)
+!      WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(il)
+!      WRITE(*,*) 'Eqi_par=',Eqi_par(il)
+!      WRITE(*,*) 'qp=',qp(il,i)
+!      WRITE(*,*) 'qp_avantevap=',qp_avantevap(il)
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
          do ixt=1,niso
           if (iso_verif_noNaN_nostop((Pxtisup(ixt,il)), &
-              'appel_setwart_vectall_np 338').eq.1) then
-            write(*,*) 'il,i,ixt=',il,i,ixt
-            write(*,*) 'xtwater(ixt,il,i+1)=',xtwater(ixt,il,i+1)
-            write(*,*) 'xtwdtrain(ixt,il)=',xtwdtrain(ixt,il)
-            write(*,*) 'wt(il,i+1)=',wt(il,i+1)
-            write(*,*) 'water(il,i+1)=',water(il,i+1)
-            write(*,*) 'wdtrain(il)=',wdtrain(il)
+              'appel_setwart_vectall_np 338').eq.1) THEN
+            WRITE(*,*) 'il,i,ixt=',il,i,ixt
+            WRITE(*,*) 'xtwater(ixt,il,i+1)=',xtwater(ixt,il,i+1)
+            WRITE(*,*) 'xtwdtrain(ixt,il)=',xtwdtrain(ixt,il)
+            WRITE(*,*) 'wt(il,i+1)=',wt(il,i+1)
+            WRITE(*,*) 'water(il,i+1)=',water(il,i+1)
+            WRITE(*,*) 'wdtrain(il)=',wdtrain(il)
             stop
           endif
          enddo !do ixt=1,niso
-       endif !if (i.le.inb(il) .and. lwork(il)) then
+       endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum 
 #endif
@@ -9579,10 +9490,10 @@
 #ifdef ISOVERIF   
 !      il =243
-!      write(*,*) 'appel_stewart 327: il=',il
-!      write(*,*) 'Pqisup,Pqiinf,Eqi_prime,Eqi,Pqiinf_par,Eqi_par=',
+!      WRITE(*,*) 'appel_stewart 327: il=',il
+!      WRITE(*,*) 'Pqisup,Pqiinf,Eqi_prime,Eqi,Pqiinf_par,Eqi_par=',
 !     :     Pqisup(il),Pqiinf(il),Eqi_prime(il),Eqi(il),
 !     :     Pqiinf_par(il),Eqi_par(il)
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
          CALL iso_verif_egalite_choix((Pqiinf(il)), &
               (Pqiinf_par(il)),'appel_stewart_np 218', &
@@ -9591,12 +9502,12 @@
 !#ifdef ISOTRAC
 !        if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) then
+!     :           (option_traceurs.eq.18)) THEN
 !        if (iso_verif_positif_nostop((        
 !     :          Pxtisup(index_trac(izone_cond,iso_eau),il)
 !     :          -Pxtisup(iso_eau,il)),
-!     :          'appel_stewart_np 332').eq.1) then
-!          write(*,*) 'Pxtisup(:,il)=',Pxtisup(:,il)
-!          write(*,*) 'xtwater(:,il,i+1)=',xtwater(:,il,i+1)
-!          write(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
+!     :          'appel_stewart_np 332').eq.1) THEN
+!          WRITE(*,*) 'Pxtisup(:,il)=',Pxtisup(:,il)
+!          WRITE(*,*) 'xtwater(:,il,i+1)=',xtwater(:,il,i+1)
+!          WRITE(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
 !          stop
 !        endif !if (iso_verif_positif_nostop(Pxtisup(iso_eau,il)-
@@ -9605,17 +9516,17 @@
       enddo !do il=1,ncum 
 !      il=243     
-!         write(*,*) 'il,Pqisup,Pqiinf,Pqiinf_par=',
+!         WRITE(*,*) 'il,Pqisup,Pqiinf,Pqiinf_par=',
 !     ;         il,Pqisup(il),Pqiinf(il),Pqiinf_par(il)
-!         write(*,*) 'Eqi_prime,Eqi,Eqi_plus1,Eqi_par=',
+!         WRITE(*,*) 'Eqi_prime,Eqi,Eqi_plus1,Eqi_par=',
 !     ;         Eqi_prime(il),Eqi(il),Eqi_plus1(il),Eqi_par(il)
-!         write(*,*) 'evap(il,i:i+1)=',evap(il,i:i+1)
+!         WRITE(*,*) 'evap(il,i:i+1)=',evap(il,i:i+1)
 #endif      
 
       ! petite vérif sur les flux
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
          if ((Eqi_par(il).lt.0.0) &
                 .and.(Pqiinf_par(il).le.0.0) &
-               .and.(water(il,i).gt.ridicule/10.)) then
+               .and.(water(il,i).gt.ridicule/10.)) THEN
             ! dans ce cas, on a de l'eau sortant dont il faut déterminer la
             ! composition, mais pourtant le bilan de masse indique qu'il
@@ -9624,9 +9535,9 @@
             ! embétté car Eqi_prime indique qu'il y a évaporation... 
 #ifdef ISOVERIF  
-            write(*,*) 'appel_stewart_np 239: cas génant'  
+            WRITE(*,*) 'appel_stewart_np 239: cas génant'
 #endif                
 
             if (Eqi_prime(il)*fac_ftmr(il).lt. &
-                qp_avantevap(il)*1e-2) then
+                qp_avantevap(il)*1e-2) THEN
                 ! ouf: Eqi_prime a peut d'effet sur la vapeur du ddft.
                 ! on peut donc condenser tranquillement pour obtenir de
@@ -9635,22 +9546,20 @@
                 Eqi_prime(il)=Eqi_par(il)
 #ifdef ISOVERIF
-                write(*,*) 'appel_stewart 409: Eqi_prime=Eqi_par'
+                WRITE(*,*) 'appel_stewart 409: Eqi_prime=Eqi_par'
 #endif                
             else
-             write(*,*) 'appel_stewart_np 222: ce cas est très génant'
+             WRITE(*,*) 'appel_stewart_np 222: ce cas est très génant'
              stop
             endif
           endif
-        endif !if (i.le.inb(il) .and. lwork(il)) then
+        endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
           do il=1,ncum
             xtp_avantevap(iso_eau,il)=qp_avantevap(il)
             Pxtisup(iso_eau,il)=Pqisup(il)
           enddo
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-
-
+      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
       ! ******** parsage des différents cas + quelques vérifs
       icas_condensation_facftmr=0
@@ -9662,5 +9571,5 @@
       ! initialisation de l'outil de tracage de cas:
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then
+        if (i.le.inb(il) .and. lwork(il)) THEN
           trace_cas(il)=0
         else
@@ -9668,20 +9577,20 @@
         endif
       enddo !do il=1,ncum
-!      if (ncum.ge.602) then
-!          write(*,*) 'appel_stewart_np tmp 379: avant parsage'
+!      if (ncum.ge.602) THEN
+!          WRITE(*,*) 'appel_stewart_np tmp 379: avant parsage'
 !          il=602
-!          write(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
-!          write(*,*) 'ridicule,errmax=',ridicule,errmax
+!          WRITE(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
+!          WRITE(*,*) 'ridicule,errmax=',ridicule,errmax
 !      endif
 !#endif      
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then 
+       if (i.le.inb(il) .and. lwork(il)) THEN
         if ((Eqi_prime(il).lt.-ridicule*1e-3).or. &
-              (Eqi_prime(il)*fac_ftmr(il).lt.-ridicule*10)) then
+              (Eqi_prime(il)*fac_ftmr(il).lt.-ridicule*10)) THEN
             ! modif le 10 mai 2009: si Eqi_prime très petit, on le
             ! traite comme du 0
             ! modif 15 mai 2009: on rajoute condition sur Eqi*fac_ftmr
             ! 1: Eqi_prime<0: condensation
-          if (fac_ftmr(il).gt.ridicule/100.) then
+          if (fac_ftmr(il).gt.ridicule/100.) THEN
             ! si fac_ftmr très petit, on le traite comme du 0
             ! 1.1: si Mpi>0
@@ -9691,5 +9600,5 @@
             trace_cas(il)=11
 !#endif            
-          else !if (fac_ftmr.gt.0.0) then
+          else !if (fac_ftmr.gt.0.0) THEN
             ! 1.2: si Mpi=0
             icas_condensation_nofacftmr=icas_condensation_nofacftmr+1  
@@ -9698,7 +9607,7 @@
             trace_cas(il)=12
 !#endif
-          endif !if (fac_ftmr.gt.0.0) then
+          endif !if (fac_ftmr.gt.0.0) THEN
         else if ((Eqi_prime(il).lt.ridicule*1e-3).and. &
-           (Eqi_prime(il)*fac_ftmr(il).lt.ridicule*10)) then
+           (Eqi_prime(il)*fac_ftmr(il).lt.ridicule*10)) THEN
             ! 2: Eqi_prime est compris entre 1e-14 et -1e-14: rien 
 !            ! 27 mai 2009: on remplace le seuil pour Eqi_prime(il)*fac_ftmr(il)
@@ -9718,29 +9627,29 @@
 #ifdef ISOVERIF
             if ((Pqisup(il).le.0.0).and. &
-                (water(il,i).gt.ridicule)) then
-              write(*,*) 'appel_stewart_np 420: water=',water(il,i)
-              write(*,*) 'Pqisup,Eqi_prime,fac_ftmr=',Pqisup(il), &
+                (water(il,i).gt.ridicule)) THEN
+              WRITE(*,*) 'appel_stewart_np 420: water=',water(il,i)
+              WRITE(*,*) 'Pqisup,Eqi_prime,fac_ftmr=',Pqisup(il), &
                  Eqi_prime(il),fac_ftmr(il)
               stop
             endif    
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
              if (iso_verif_egalite_choix_nostop( &
                 (qp_avantevap(il)), &
                 qp(il,i),'appel_stewart_np 521', &
-                errmax,errmaxrel).eq.1) then
-               write(*,*) 'Mp(il,i)=',Mp(il,i)
-               write(*,*) 'Mp(il,i+1)=',Mp(il,i+1)
-               write(*,*) 'qp(il,i)=',qp(il,i)
-               write(*,*) 'qp(il,i+1)=',qp(il,i+1)
-               write(*,*) 'q(il,i)=',q(il,i)
-               write(*,*) 'evap(il,i)=',evap(il,i)
-               write(*,*) 'evap(il,i+1)=',evap(il,i+1)
-               write(*,*) 'Eqi_prime(il)=',Eqi_prime(il)
-               write(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
+                errmax,errmaxrel).eq.1) THEN
+               WRITE(*,*) 'Mp(il,i)=',Mp(il,i)
+               WRITE(*,*) 'Mp(il,i+1)=',Mp(il,i+1)
+               WRITE(*,*) 'qp(il,i)=',qp(il,i)
+               WRITE(*,*) 'qp(il,i+1)=',qp(il,i+1)
+               WRITE(*,*) 'q(il,i)=',q(il,i)
+               WRITE(*,*) 'evap(il,i)=',evap(il,i)
+               WRITE(*,*) 'evap(il,i+1)=',evap(il,i+1)
+               WRITE(*,*) 'Eqi_prime(il)=',Eqi_prime(il)
+               WRITE(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
                stop
              endif
-            endif !if (iso_eau.gt.0) then
-#endif
-        else    !if (Eqi_prime.lt.0.0) then
+            endif !if (iso_eau.gt.0) THEN
+#endif
+        else    !if (Eqi_prime.lt.0.0) THEN
         ! 3: Eqi_prime>0 
 #ifdef ISOVERIF  
